* {
  box-sizing: border-box;
}

body {
  width: 88%;
  max-width: 40em;
  margin: 1em auto;
  line-height: 1.5;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen,
    Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
  background: #fff;
}

input,
button {
  font: inherit;
}

/* https://ar.al/2021/08/24/implementing-dark-mode-in-a-handful-of-lines-of-css-with-css-filters/ */
@media (prefers-color-scheme: dark) {
  html {
    background: #000;
  }

  body {
    filter: invert(100%) hue-rotate(180deg);
  }
}
